Subject: Re: [bug#74517] [PATCH v3 01/10] gnu: Add v4l-utils-minimal.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Jan 2025 16:07:42 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Maxim, could you take a look at v3 of this patch series?
>
> Thanks for the ping.  I've looked at v3, and it looks good to me, except
> for the newly added #:disallowed-references (which I suggested adding)
> which should be a list of packages, not a list of strings, if I'm not
> mistaken.
>
> Also, a #:disallowed-references added directly to GTK (to ensure it
> continues not pulling in qtbase) would be a nice to have, but can be
> added later too; I believe adding a disallowed reference should not lead
> to rebuilds?

Add #:disallowed-references or #:allowed-references triggers changes the
derivation and thus triggers a rebuild.

> Nicolas, would you mind sending one last v4 with the corrected
> #:disallowed-references?  You can grep for examples.  After which, I
> think it should be merged to the gnome-team branch (CC'ing Liliana to
> make sure it makes sense at this stage).

Thanks,
Ludo’.